/*
 * DEBUG.H - debugging aids header file.
 *
 * Header Dependencies:
 *
 *    -  STDDEF.H (for NULL & size_t definitions)
 *
 * $Header:   C:/FE/SHARED/VCS/DEBUG.H_V   1.0   07 Dec 1988 23:09:38   rji  $
 *
 * $Log:   C:/FE/SHARED/VCS/DEBUG.H_V  $
 * 
 *    Rev 1.0   07 Dec 1988 23:09:38   rji
 * Initial revision.
 *
*/

#if !defined(DEBUG_H)
#define  DEBUG_H

/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/*
   $NAME$:
         DEBUG.H Macros

  $PATHS$
       Functions\H
       Shared\Macros
       Shared\Utils
       Modules\$./FL$


   $1$

  $0$
  SYNOPSIS:
  $-1$
*/
/*-------------------------------------------------------------------------*/
/* MACROS                                                                  */
/*-------------------------------------------------------------------------*/

#if !defined(NDEBUG)
#define  D(x)           if ( DBUG )  {x}     /* x = 1 or more statements   */
#define  set_debug(n)   DBUG = (n)           /* set debugging level        */
#define  clear_debug()  DBUG = 0             /* turn off debugging output  */
#define  hexdump(p,n)   _hexdump(NULL,(p),(n),0)   /* _hexdump() cover     */
#else
#define  D(x)
#define  set_debug(n)
#define  clear_debug()
#define  hexdump(p,n)
#endif
/*                                                                   $end$ */


/*-------------------------------------------------------------------------*/
/* PUBLIC FUNCTIONS                                                        */
/*-------------------------------------------------------------------------*/

#if !defined(NDEBUG)
void  _hexdump( FILE *, char *, size_t, size_t );
#endif


/*-------------------------------------------------------------------------*/
/* PUBLIC DATA                                                             */
/*-------------------------------------------------------------------------*/

#if !defined(NDEBUG)
extern   int   DBUG;
#endif

#endif /* if !defined(DEBUG_H) */
